/// <reference types="react" />
import "./styles.scss";
interface HeadingProps extends React.HtmlHTMLAttributes<HTMLHeadingElement> {
    as: "h1" | "h2" | "h3" | "h4" | "h5" | "h6";
    size: "xxl" | "xl" | "lg" | "md" | "sm" | "xs";
    children: string | React.ReactNode;
}
export declare const Heading: {
    ({ as: HtmlTag, size, children, ...props }: HeadingProps): JSX.Element;
    displayName: string;
};
interface CaptionProps extends React.HtmlHTMLAttributes<HTMLDivElement> {
    size: "lg" | "md" | "sm" | "xs";
    children: string | React.ReactNode;
}
export declare const Caption: {
    ({ size, children, ...props }: CaptionProps): JSX.Element;
    displayName: string;
};
interface ParagraphProps extends React.HtmlHTMLAttributes<HTMLParagraphElement | HTMLDivElement> {
    size: "lg" | "md" | "sm" | "xs";
    children: string | React.ReactNode;
    asDiv?: boolean;
}
export declare const Paragraph: {
    ({ size, children, asDiv, ...props }: ParagraphProps): JSX.Element;
    displayName: string;
};
interface TitleProps extends React.HtmlHTMLAttributes<HTMLDivElement> {
    size: "lg" | "md" | "sm" | "xs";
    children: string | React.ReactNode;
}
export declare const Title: {
    ({ size, children, ...props }: TitleProps): JSX.Element;
    displayName: string;
};
export {};
//# sourceMappingURL=index.d.ts.map